Bug 10534 - Cleanup messages.tdb record after unclean smbd shutdown
Cleanup messages.tdb record after unclean smbd shutdown
Status: RESOLVED FIXED
Product: Samba 4.0
Classification: Unclassified
Component: File services
unspecified
All All
: P5 normal
: ---
Assigned To: Karolin Seeger
Samba QA Contact
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2014-04-03 04:34 UTC by Christof Schmitt
Modified: 2014-04-08 08:45 UTC (History)
0 users

See Also:


Attachments
Backport to v4.0 (4.55 KB, patch)
2014-04-03 20:20 UTC, Christof Schmitt
jra: review+
cs: review+
Details
Backport to v4.1 (4.55 KB, patch)
2014-04-03 20:23 UTC, Christof Schmitt
jra: review+
cs: review+
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Christof Schmitt 2014-04-03 04:34:38 UTC
When smbd processes get stuck in system calls and clients disconnect,
dead records can remain in messages.tdb. The fix is to remove the
record from the parent smbd: https://lists.samba.org/archive/samba-technical/2014-April/098906.html

This is a request to backport the patch to 4.0 and 4.1.
Comment 1 Christof Schmitt 2014-04-03 20:20:56 UTC
Created attachment 9827 [details]
Backport to v4.0
Comment 2 Christof Schmitt 2014-04-03 20:23:08 UTC
Created attachment 9828 [details]
Backport to v4.1
Comment 3 Jeremy Allison 2014-04-03 20:53:23 UTC
LGTM. Reassigning to Karolin for inclusion in 4.1.next, 4.0.next.
Jeremy.
Comment 4 Jeremy Allison 2014-04-03 21:26:57 UTC
Oops. Locking bug needs sorting out first...

Jeremy.
Comment 5 Jeremy Allison 2014-04-04 03:16:29 UTC
False alarm, patches are good :-).

From the list:

----------------------------------------------------------------
> I tried adding a record with tdbtool insert, killing the corresponding
> smbd process and watch the record disappear. So far i only get -1 from
> tdb_delete. Maybe something is wrong with this test, i am still digging
> through it.

The patch works as expected, i just forgot to add the 0 byte terminator
in the key of my fake tdb record. Sorry for the noise.
----------------------------------------------------------------

Re-re-assigning to Karolin for inclusion in 4.1.next, 4.0.next.

Jeremy.
Comment 6 Karolin Seeger 2014-04-04 19:06:54 UTC
Pushed to autobuild-v4-1-test and autobuild-v4-0-test.
Comment 7 Karolin Seeger 2014-04-07 08:09:43 UTC
(In reply to comment #6)
> Pushed to autobuild-v4-1-test and autobuild-v4-0-test.

Pushed to v4-1-test, autobuild-v4-0-test failed, re-trying...
Comment 8 Karolin Seeger 2014-04-08 08:45:15 UTC
Pushed to v4-0-test.
Closing out bug report.

Thanks!